package Gtk3::WebKit2;
sub EDITING_COMMAND_COPY { }
sub EDITING_COMMAND_CREATE_LINK { }
sub EDITING_COMMAND_CUT { }
sub EDITING_COMMAND_INSERT_IMAGE { }
sub EDITING_COMMAND_PASTE { }
sub EDITING_COMMAND_REDO { }
sub EDITING_COMMAND_SELECT_ALL { }
sub EDITING_COMMAND_UNDO { }
sub MAJOR_VERSION { }
sub MICRO_VERSION { }
sub MINOR_VERSION { }
sub download_error_quark { }
sub favicon_database_error_quark { }
sub get_major_version { }
sub get_micro_version { }
sub get_minor_version { }
sub javascript_error_quark { }
sub network_error_quark { }
sub plugin_error_quark { }
sub policy_error_quark { }
sub print_error_quark { }
sub snapshot_error_quark { }
sub user_media_permission_is_for_audio_device { }
sub user_media_permission_is_for_video_device { }

package Gtk3::WebKit2::AuthenticationRequest;
sub authenticate { }
sub can_save_credentials { }
sub cancel { }
sub get_host { }
sub get_port { }
sub get_proposed_credential { }
sub get_realm { }
sub get_scheme { }
sub is_for_proxy { }
sub is_retry { }

package Gtk3::WebKit2::AuthenticationRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::BackForwardList;
sub get_back_item { }
sub get_back_list { }
sub get_back_list_with_limit { }
sub get_current_item { }
sub get_forward_item { }
sub get_forward_list { }
sub get_forward_list_with_limit { }
sub get_length { }
sub get_nth_item { }

package Gtk3::WebKit2::BackForwardListClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::BackForwardListItem;
sub get_original_uri { }
sub get_title { }
sub get_uri { }

package Gtk3::WebKit2::BackForwardListItemClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::ColorChooserRequest;
sub cancel { }
sub finish { }
sub get_element_rectangle { }
sub get_rgba { }
sub set_rgba { }

package Gtk3::WebKit2::ColorChooserRequestClass;
sub parent_class { }

package Gtk3::WebKit2::ContextMenu;
sub append { }
sub first { }
sub get_item_at_position { }
sub get_items { }
sub get_n_items { }
sub get_user_data { }
sub insert { }
sub last { }
sub move_item { }
sub new { }
sub new_with_items { }
sub prepend { }
sub remove { }
sub remove_all { }
sub set_user_data { }

package Gtk3::WebKit2::ContextMenuClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::ContextMenuItem;
sub get_action { }
sub get_stock_action { }
sub get_submenu { }
sub is_separator { }
sub new { }
sub new_from_stock_action { }
sub new_from_stock_action_with_label { }
sub new_separator { }
sub new_with_submenu { }
sub set_submenu { }

package Gtk3::WebKit2::ContextMenuItemClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::CookieManager;
sub delete_all_cookies { }
sub delete_cookies_for_domain { }
sub get_accept_policy { }
sub get_accept_policy_finish { }
sub get_domains_with_cookies { }
sub get_domains_with_cookies_finish { }
sub set_accept_policy { }
sub set_persistent_storage { }

package Gtk3::WebKit2::CookieManagerClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::Credential;
sub copy { }
sub free { }
sub get_password { }
sub get_persistence { }
sub get_username { }
sub has_password { }
sub new { }

package Gtk3::WebKit2::Download;
our @ISA = qw(GObject::Object);
sub cancel { }
sub get_allow_overwrite { }
sub get_destination { }
sub get_elapsed_time { }
sub get_estimated_progress { }
sub get_received_data_length { }
sub get_request { }
sub get_response { }
sub get_web_view { }
sub set_allow_overwrite { }
sub set_destination { }

package Gtk3::WebKit2::DownloadClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub decide_destination { }
sub parent_class { }

package Gtk3::WebKit2::DownloadError;
sub quark { }

package Gtk3::WebKit2::EditorState;
sub get_typing_attributes { }

package Gtk3::WebKit2::EditorStateClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::FaviconDatabase;
our @ISA = qw(GObject::Object);
sub clear { }
sub get_favicon { }
sub get_favicon_finish { }
sub get_favicon_uri { }

package Gtk3::WebKit2::FaviconDatabaseClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::FaviconDatabaseError;
sub quark { }

package Gtk3::WebKit2::FileChooserRequest;
our @ISA = qw(GObject::Object);
sub cancel { }
sub get_mime_types { }
sub get_mime_types_filter { }
sub get_select_multiple { }
sub get_selected_files { }
sub select_files { }

package Gtk3::WebKit2::FileChooserRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::FindController;
sub count_matches { }
sub get_max_match_count { }
sub get_options { }
sub get_search_text { }
sub get_web_view { }
sub search { }
sub search_finish { }
sub search_next { }
sub search_previous { }

package Gtk3::WebKit2::FindControllerClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::FormSubmissionRequest;
sub get_text_fields { }
sub submit { }

package Gtk3::WebKit2::FormSubmissionRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::GeolocationPermissionRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::HitTestResult;
our @ISA = qw(GObject::Object);
sub context_is_editable { }
sub context_is_image { }
sub context_is_link { }
sub context_is_media { }
sub context_is_scrollbar { }
sub context_is_selection { }
sub get_context { }
sub get_image_uri { }
sub get_link_label { }
sub get_link_title { }
sub get_link_uri { }
sub get_media_uri { }

package Gtk3::WebKit2::HitTestResultClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::InstallMissingMediaPluginsPermissionRequest;
sub get_description { }

package Gtk3::WebKit2::InstallMissingMediaPluginsPermissionRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::JavascriptError;
sub quark { }

package Gtk3::WebKit2::JavascriptResult;
sub get_global_context { }
sub get_value { }
sub ref { }
sub unref { }

package Gtk3::WebKit2::MimeInfo;
sub get_description { }
sub get_extensions { }
sub get_mime_type { }
sub ref { }
sub unref { }

package Gtk3::WebKit2::NavigationAction;
sub copy { }
sub free { }
sub get_modifiers { }
sub get_mouse_button { }
sub get_navigation_type { }
sub get_request { }
sub is_user_gesture { }

package Gtk3::WebKit2::NavigationPolicyDecision;
sub get_frame_name { }
sub get_modifiers { }
sub get_mouse_button { }
sub get_navigation_action { }
sub get_navigation_type { }
sub get_request { }

package Gtk3::WebKit2::NavigationPolicyDecisionClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::NetworkError;
sub quark { }

package Gtk3::WebKit2::Notification;
sub clicked { }
sub close { }
sub get_body { }
sub get_id { }
sub get_title { }

package Gtk3::WebKit2::NotificationClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub _webkit_reserved4 { }
sub _webkit_reserved5 { }
sub parent_class { }

package Gtk3::WebKit2::NotificationPermissionRequestClass;
sub parent_class { }

package Gtk3::WebKit2::PermissionRequest;
sub allow { }
sub deny { }

package Gtk3::WebKit2::PermissionRequestIface;
sub allow { }
sub deny { }
sub parent_interface { }

package Gtk3::WebKit2::Plugin;
sub get_description { }
sub get_mime_info_list { }
sub get_name { }
sub get_path { }

package Gtk3::WebKit2::PluginClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::PluginError;
sub quark { }

package Gtk3::WebKit2::PolicyDecision;
sub download { }
sub ignore { }
#sub Gtk3::WebKit2::PolicyDecision::use { }

package Gtk3::WebKit2::PolicyDecisionClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::PolicyError;
sub quark { }

package Gtk3::WebKit2::PrintError;
sub quark { }

package Gtk3::WebKit2::PrintOperation;
sub get_page_setup { }
sub get_print_settings { }
sub new { }
sub Gtk3::WebKit2::PrintOperation::print { }
sub run_dialog { }
sub set_page_setup { }
sub set_print_settings { }

package Gtk3::WebKit2::PrintOperationClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::ResponsePolicyDecision;
sub get_request { }
sub get_response { }
sub is_mime_type_supported { }

package Gtk3::WebKit2::ResponsePolicyDecisionClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::ScriptDialog;
sub confirm_set_confirmed { }
sub get_dialog_type { }
sub get_message { }
sub prompt_get_default_text { }
sub prompt_set_text { }

package Gtk3::WebKit2::SecurityManager;
sub register_uri_scheme_as_cors_enabled { }
sub register_uri_scheme_as_display_isolated { }
sub register_uri_scheme_as_empty_document { }
sub register_uri_scheme_as_local { }
sub register_uri_scheme_as_no_access { }
sub register_uri_scheme_as_secure { }
sub uri_scheme_is_cors_enabled { }
sub uri_scheme_is_display_isolated { }
sub uri_scheme_is_empty_document { }
sub uri_scheme_is_local { }
sub uri_scheme_is_no_access { }
sub uri_scheme_is_secure { }

package Gtk3::WebKit2::SecurityManagerClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::Settings;
sub get_allow_file_access_from_file_urls { }
sub get_allow_modal_dialogs { }
sub get_allow_universal_access_from_file_urls { }
sub get_auto_load_images { }
sub get_cursive_font_family { }
sub get_default_charset { }
sub get_default_font_family { }
sub get_default_font_size { }
sub get_default_monospace_font_size { }
sub get_draw_compositing_indicators { }
sub get_enable_accelerated_2d_canvas { }
sub get_enable_caret_browsing { }
sub get_enable_developer_extras { }
sub get_enable_dns_prefetching { }
sub get_enable_frame_flattening { }
sub get_enable_fullscreen { }
sub get_enable_html5_database { }
sub get_enable_html5_local_storage { }
sub get_enable_hyperlink_auditing { }
sub get_enable_java { }
sub get_enable_javascript { }
sub get_enable_media_stream { }
sub get_enable_mediasource { }
sub get_enable_offline_web_application_cache { }
sub get_enable_page_cache { }
sub get_enable_plugins { }
sub get_enable_private_browsing { }
sub get_enable_resizable_text_areas { }
sub get_enable_site_specific_quirks { }
sub get_enable_smooth_scrolling { }
sub get_enable_spatial_navigation { }
sub get_enable_tabs_to_links { }
sub get_enable_webaudio { }
sub get_enable_webgl { }
sub get_enable_write_console_messages_to_stdout { }
sub get_enable_xss_auditor { }
sub get_fantasy_font_family { }
sub get_javascript_can_access_clipboard { }
sub get_javascript_can_open_windows_automatically { }
sub get_load_icons_ignoring_image_load_setting { }
sub get_media_playback_allows_inline { }
sub get_media_playback_requires_user_gesture { }
sub get_minimum_font_size { }
sub get_monospace_font_family { }
sub get_pictograph_font_family { }
sub get_print_backgrounds { }
sub get_sans_serif_font_family { }
sub get_serif_font_family { }
sub get_user_agent { }
sub get_zoom_text_only { }
sub new { }
sub set_allow_file_access_from_file_urls { }
sub set_allow_modal_dialogs { }
sub set_allow_universal_access_from_file_urls { }
sub set_auto_load_images { }
sub set_cursive_font_family { }
sub set_default_charset { }
sub set_default_font_family { }
sub set_default_font_size { }
sub set_default_monospace_font_size { }
sub set_draw_compositing_indicators { }
sub set_enable_accelerated_2d_canvas { }
sub set_enable_caret_browsing { }
sub set_enable_developer_extras { }
sub set_enable_dns_prefetching { }
sub set_enable_frame_flattening { }
sub set_enable_fullscreen { }
sub set_enable_html5_database { }
sub set_enable_html5_local_storage { }
sub set_enable_hyperlink_auditing { }
sub set_enable_java { }
sub set_enable_javascript { }
sub set_enable_media_stream { }
sub set_enable_mediasource { }
sub set_enable_offline_web_application_cache { }
sub set_enable_page_cache { }
sub set_enable_plugins { }
sub set_enable_private_browsing { }
sub set_enable_resizable_text_areas { }
sub set_enable_site_specific_quirks { }
sub set_enable_smooth_scrolling { }
sub set_enable_spatial_navigation { }
sub set_enable_tabs_to_links { }
sub set_enable_webaudio { }
sub set_enable_webgl { }
sub set_enable_write_console_messages_to_stdout { }
sub set_enable_xss_auditor { }
sub set_fantasy_font_family { }
sub set_javascript_can_access_clipboard { }
sub set_javascript_can_open_windows_automatically { }
sub set_load_icons_ignoring_image_load_setting { }
sub set_media_playback_allows_inline { }
sub set_media_playback_requires_user_gesture { }
sub set_minimum_font_size { }
sub set_monospace_font_family { }
sub set_pictograph_font_family { }
sub set_print_backgrounds { }
sub set_sans_serif_font_family { }
sub set_serif_font_family { }
sub set_user_agent { }
sub set_user_agent_with_application_details { }
sub set_zoom_text_only { }

package Gtk3::WebKit2::SettingsClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::SnapshotError;
sub quark { }

package Gtk3::WebKit2::URIRequest;
sub get_http_headers { }
sub get_http_method { }
sub get_uri { }
sub new { }
sub set_uri { }

package Gtk3::WebKit2::URIRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::URIResponse;
sub get_content_length { }
sub get_http_headers { }
sub get_mime_type { }
sub get_status_code { }
sub get_suggested_filename { }
sub get_uri { }

package Gtk3::WebKit2::URIResponseClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::URISchemeRequest;
sub finish { }
sub finish_error { }
sub get_path { }
sub get_scheme { }
sub get_uri { }
sub get_web_view { }

package Gtk3::WebKit2::URISchemeRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::UserContentManager;
sub add_script { }
sub add_style_sheet { }
sub new { }
sub register_script_message_handler { }
sub remove_all_scripts { }
sub remove_all_style_sheets { }
sub unregister_script_message_handler { }

package Gtk3::WebKit2::UserContentManagerClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::UserMediaPermissionRequestClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::UserScript;
sub new { }
sub ref { }
sub unref { }

package Gtk3::WebKit2::UserStyleSheet;
sub new { }
sub ref { }
sub unref { }

package Gtk3::WebKit2::WebContext;
sub allow_tls_certificate_for_host { }
sub clear_cache { }
sub download_uri { }
sub get_cache_model { }
sub get_cookie_manager { }
sub get_default { }
sub get_favicon_database { }
sub get_favicon_database_directory { }
sub get_plugins { }
sub get_plugins_finish { }
sub get_process_model { }
sub get_security_manager { }
sub get_spell_checking_enabled { }
sub get_spell_checking_languages { }
sub get_tls_errors_policy { }
sub get_web_process_count_limit { }
sub get_website_data_manager { }
sub new { }
sub new_with_website_data_manager { }
sub prefetch_dns { }
sub register_uri_scheme { }
sub set_additional_plugins_directory { }
sub set_cache_model { }
sub set_disk_cache_directory { }
sub set_favicon_database_directory { }
sub set_preferred_languages { }
sub set_process_model { }
sub set_spell_checking_enabled { }
sub set_spell_checking_languages { }
sub set_tls_errors_policy { }
sub set_web_extensions_directory { }
sub set_web_extensions_initialization_user_data { }
sub set_web_process_count_limit { }

package Gtk3::WebKit2::WebContextClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub _webkit_reserved4 { }
sub _webkit_reserved5 { }
sub download_started { }
sub initialize_web_extensions { }
sub parent { }

package Gtk3::WebKit2::WebInspector;
our @ISA = qw(GObject::Object);
sub attach { }
sub close { }
sub detach { }
sub get_attached_height { }
sub get_can_attach { }
sub get_inspected_uri { }
sub get_web_view { }
sub is_attached { }
sub show { }

package Gtk3::WebKit2::WebInspectorClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::WebResource;
our @ISA = qw(GObject::Object);
sub get_data { }
sub get_data_finish { }
sub get_response { }
sub get_uri { }

package Gtk3::WebKit2::WebResourceClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::WebView;
our @ISA = qw(Gtk3::Container);
sub can_execute_editing_command { }
sub can_execute_editing_command_finish { }
sub can_go_back { }
sub can_go_forward { }
sub can_show_mime_type { }
sub download_uri { }
sub execute_editing_command { }
sub execute_editing_command_with_argument { }
sub get_back_forward_list { }
sub get_background_color { }
sub get_context { }
sub get_custom_charset { }
sub get_editor_state { }
sub get_estimated_load_progress { }
sub get_favicon { }
sub get_find_controller { }
sub get_inspector { }
sub get_javascript_global_context { }
sub get_main_resource { }
sub get_page_id { }
sub get_session_state { }
sub get_settings { }
sub get_snapshot { }
sub get_snapshot_finish { }
sub get_title { }
sub get_tls_info { }
sub get_uri { }
sub get_user_content_manager { }
sub get_window_properties { }
sub get_zoom_level { }
sub go_back { }
sub go_forward { }
sub go_to_back_forward_list_item { }
sub is_editable { }
sub is_loading { }
sub is_playing_audio { }
sub load_alternate_html { }
sub load_bytes { }
sub load_html { }
sub load_plain_text { }
sub load_request { }
sub load_uri { }
sub new { }
sub new_with_context { }
sub new_with_related_view { }
sub new_with_settings { }
sub new_with_user_content_manager { }
sub reload { }
sub reload_bypass_cache { }
sub restore_session_state { }
sub run_javascript { }
sub run_javascript_finish { }
sub run_javascript_from_gresource { }
sub run_javascript_from_gresource_finish { }
sub save { }
sub save_finish { }
sub save_to_file { }
sub save_to_file_finish { }
sub set_background_color { }
sub set_custom_charset { }
sub set_editable { }
sub set_settings { }
sub set_zoom_level { }
sub stop_loading { }
sub try_close { }

package Gtk3::WebKit2::WebViewBaseClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parentClass { }

package Gtk3::WebKit2::WebViewClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub authenticate { }
sub close { }
sub context_menu { }
sub context_menu_dismissed { }
sub create { }
sub decide_policy { }
sub enter_fullscreen { }
sub insecure_content_detected { }
sub leave_fullscreen { }
sub load_changed { }
sub load_failed { }
sub load_failed_with_tls_errors { }
sub mouse_target_changed { }
sub parent { }
sub permission_request { }
sub Gtk3::WebKit2::WebViewClass::print { }
sub ready_to_show { }
sub resource_load_started { }
sub run_as_modal { }
sub run_color_chooser { }
sub run_file_chooser { }
sub script_dialog { }
sub show_notification { }
sub submit_form { }
sub web_process_crashed { }

package Gtk3::WebKit2::WebViewSessionState;
sub new { }
sub ref { }
sub serialize { }
sub unref { }

package Gtk3::WebKit2::WebsiteDataManager;
sub get_base_cache_directory { }
sub get_base_data_directory { }
sub get_disk_cache_directory { }
sub get_indexeddb_directory { }
sub get_local_storage_directory { }
sub get_offline_application_cache_directory { }
sub get_websql_directory { }

package Gtk3::WebKit2::WebsiteDataManagerClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

package Gtk3::WebKit2::WindowProperties;
sub get_fullscreen { }
sub get_geometry { }
sub get_locationbar_visible { }
sub get_menubar_visible { }
sub get_resizable { }
sub get_scrollbars_visible { }
sub get_statusbar_visible { }
sub get_toolbar_visible { }

package Gtk3::WebKit2::WindowPropertiesClass;
sub _webkit_reserved0 { }
sub _webkit_reserved1 { }
sub _webkit_reserved2 { }
sub _webkit_reserved3 { }
sub parent_class { }

