
package Math::Int64;
our @ISA = qw();
sub BER_length { my ($_sv) = @_ }
sub BER_to_int64 { my ($_ber) = @_ }
sub BER_to_uint64 { my ($_ber) = @_ }
sub STORABLE_freeze { my ($_self, $_o_cloning) = @_ }
sub STORABLE_thaw { my ($_self, $_cloning, $_serialized, @_more_paras) = @_ }
sub _add { my ($_self, $_other, $_o_rev) = @_ }
sub _and { my ($_self, $_other, $_o_rev) = @_ }
sub _backend() {}
sub _bnot { my ($_self, $_o_other, $_o_rev) = @_ }
sub _bool { my ($_self, $_o_other, $_o_rev) = @_ }
sub _check_pragma_compatibility() {}
sub _clone { my ($_self, $_o_other, $_o_rev) = @_ }
sub _dec { my ($_self, $_o_other, $_o_rev) = @_ }
sub _div { my ($_self, $_other, $_o_rev) = @_ }
sub _eqn { my ($_self, $_other, $_o_rev) = @_ }
sub _gen { my ($_self, $_other, $_o_rev) = @_ }
sub _gtn { my ($_self, $_other, $_o_rev) = @_ }
sub _inc { my ($_self, $_o_other, $_o_rev) = @_ }
sub _left { my ($_self, $_other, $_o_rev) = @_ }
sub _len { my ($_self, $_other, $_o_rev) = @_ }
sub _ltn { my ($_self, $_other, $_o_rev) = @_ }
sub _mul { my ($_self, $_other, $_o_rev) = @_ }
sub _neg { my ($_self, $_o_other, $_o_rev) = @_ }
sub _nen { my ($_self, $_other, $_o_rev) = @_ }
sub _not { my ($_self, $_o_other, $_o_rev) = @_ }
sub _number { my ($_self, $_o_other, $_o_rev) = @_ }
sub _or { my ($_self, $_other, $_o_rev) = @_ }
sub _pow { my ($_self, $_other, $_o_rev) = @_ }
sub _rest { my ($_self, $_other, $_o_rev) = @_ }
sub _right { my ($_self, $_other, $_o_rev) = @_ }
sub _set_may_die_on_overflow { my ($_v) = @_ }
sub _set_may_use_native { my ($_v) = @_ }
sub _spaceship { my ($_self, $_other, $_o_rev) = @_ }
sub _string { my ($_self, $_o_other, $_o_rev) = @_ }
sub _sub { my ($_self, $_other, $_o_rev) = @_ }
sub _xor { my ($_self, $_other, $_o_rev) = @_ }
sub hex_to_int64 { my ($_str) = @_ }
sub hex_to_uint64 { my ($_str) = @_ }
sub import() {}
sub int64 { my ($_o_value) = @_ }
sub int64_rand() {}
sub int64_srand { my ($_o_seed) = @_ }
sub int64_to_BER { my ($_self) = @_ }
sub int64_to_hex { my ($_self) = @_ }
sub int64_to_native { my ($_self) = @_ }
sub int64_to_net { my ($_self) = @_ }
sub int64_to_number { my ($_self) = @_ }
sub int64_to_string { my ($_self, $_o_base) = @_ }
sub native_to_int64 { my ($_native) = @_ }
sub native_to_uint64 { my ($_native) = @_ }
sub net_to_int64 { my ($_net) = @_ }
sub net_to_uint64 { my ($_net) = @_ }
sub string_to_int64 { my ($_str, $_o_base) = @_ }
sub string_to_uint64 { my ($_str, $_o_base) = @_ }
sub uint64 { my ($_o_value) = @_ }
sub uint64_rand() {}
sub uint64_to_BER { my ($_self) = @_ }
sub uint64_to_hex { my ($_self) = @_ }
sub uint64_to_native { my ($_self) = @_ }
sub uint64_to_net { my ($_self) = @_ }
sub uint64_to_number { my ($_self) = @_ }
sub uint64_to_string { my ($_self, $_o_base) = @_ }

package Math::Int64::die_on_overflow;
our @ISA = qw();
sub import() {}
sub unimport() {}

package Math::Int64::native_if_available;
our @ISA = qw();
sub import() {}
sub unimport() {}

package Math::UInt64;
our @ISA = qw();
sub STORABLE_freeze { my ($_self, $_o_cloning) = @_ }
sub STORABLE_thaw { my ($_self, $_cloning, $_serialized, @_more_paras) = @_ }
sub _add { my ($_self, $_other, $_o_rev) = @_ }
sub _and { my ($_self, $_other, $_o_rev) = @_ }
sub _bnot { my ($_self, $_o_other, $_o_rev) = @_ }
sub _bool { my ($_self, $_o_other, $_o_rev) = @_ }
sub _clone { my ($_self, $_o_other, $_o_rev) = @_ }
sub _dec { my ($_self, $_o_other, $_o_rev) = @_ }
sub _div { my ($_self, $_other, $_o_rev) = @_ }
sub _eqn { my ($_self, $_other, $_o_rev) = @_ }
sub _gen { my ($_self, $_other, $_o_rev) = @_ }
sub _gtn { my ($_self, $_other, $_o_rev) = @_ }
sub _inc { my ($_self, $_o_other, $_o_rev) = @_ }
sub _left { my ($_self, $_other, $_o_rev) = @_ }
sub _len { my ($_self, $_other, $_o_rev) = @_ }
sub _ltn { my ($_self, $_other, $_o_rev) = @_ }
sub _mul { my ($_self, $_other, $_o_rev) = @_ }
sub _neg { my ($_self, $_o_other, $_o_rev) = @_ }
sub _nen { my ($_self, $_other, $_o_rev) = @_ }
sub _not { my ($_self, $_o_other, $_o_rev) = @_ }
sub _number { my ($_self, $_o_other, $_o_rev) = @_ }
sub _or { my ($_self, $_other, $_o_rev) = @_ }
sub _pow { my ($_self, $_other, $_o_rev) = @_ }
sub _rest { my ($_self, $_other, $_o_rev) = @_ }
sub _right { my ($_self, $_other, $_o_rev) = @_ }
sub _spaceship { my ($_self, $_other, $_o_rev) = @_ }
sub _string { my ($_self, $_o_other, $_o_rev) = @_ }
sub _sub { my ($_self, $_other, $_o_rev) = @_ }
sub _xor { my ($_self, $_other, $_o_rev) = @_ }
sub import() {}
